/*
 *			s k p a l f . c
 */

/*)LIBRARY
*/

#ifdef DOCUMENTATION

title	skpalf	Skip Over Alpha
index		Skip over alpha

synopsis

	char *
	skpalf(ccp)
	 char **ccp;	/* pointer to buffer pointer */

description

	skpalf() skips over any leading alpha's or whitespaces.
	The pointer *ccp is left pointing to the first numeric.
	If no numeric exists, skipalf points *ccp at the terminating
	Null, and returns 0. Skipalf returns *ccp;

bugs

author

	Machiavelli Systems

#endif




skpalf(ccp)
char **ccp;	/* pointer to buffer pointer */
{

	/* scan through the string, looking for a digit or hull */
	while((**ccp) && (!isdigit(**ccp)))
		(*ccp)++;

	/* reutrn our result */
	return ((**ccp)?*ccp:0);

}
